Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ToolbarRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.html.ToolbarRendererBase
                  org.richfaces.renderkit.html.ToolbarRenderer

    public class ToolbarRenderer

extends ToolbarRendererBase

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.renderkit.html.ToolbarRendererBase
`ToolbarRendererBase.ItemSeparators, ToolbarRendererBase.Locations`

Field Summary

Fields inherited from class org.richfaces.renderkit.html.ToolbarRendererBase
`ITEMS_HANDLER_ATTRIBUTES, RENDERER_TYPE`

Constructor Summary
`ToolbarRenderer()`

Method Summary
`void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.html.ToolbarRendererBase
`encodeChildren, encodeClientItemID, getComponentClass, getHeightToolbar, getOptions, getRendersChildren, getWidthToolbar, insertDefaultSeparatorIfNeed, insertSeparatorIfNeed, isPropertyRendered, renderColElements`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolbarRenderer

    public ToolbarRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                     throws IOException

  Overrides:
    `encodeBegin` in class `RendererBase`
  Throws:
    `IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws IOException

  Overrides:
    `encodeEnd` in class `RendererBase`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.